Mandrake Linux Security Advisory : koffice (MDKSA-2006:008)

critical Nessus Plugin ID 20474
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Mandrake Linux host is missing one or more security updates.

Description

Multiple heap-based buffer overflows in the DCTStream::readProgressiveSOF and DCTStream::readBaselineSOF functions in the DCT stream parsing code (Stream.cc) in xpdf 3.01 and earlier, allow user-complicit attackers to cause a denial of service (heap corruption) and possibly execute arbitrary code via a crafted PDF file with an out-of-range number of components (numComps), which is used as an array index. (CVE-2005-3191)

Heap-based buffer overflow in the StreamPredictor function in Xpdf 3.01 allows remote attackers to execute arbitrary code via a PDF file with an out-of-range numComps (number of components) field.
(CVE-2005-3192)

Heap-based buffer overflow in the JPXStream::readCodestream function in the JPX stream parsing code (JPXStream.c) for xpdf 3.01 and earlier allows user-complicit attackers to cause a denial of service (heap corruption) and possibly execute arbitrary code via a crafted PDF file with large size values that cause insufficient memory to be allocated.
(CVE-2005-3193)

An additional patch re-addresses memory allocation routines in goo/gmem.c (Martin Pitt/Canonical, Dirk Mueller/KDE).

In addition, Chris Evans discovered several other vulnerabilities in the xpdf code base :

Out-of-bounds heap accesses with large or negative parameters to 'FlateDecode' stream. (CVE-2005-3192)

Out-of-bounds heap accesses with large or negative parameters to 'CCITTFaxDecode' stream. (CVE-2005-3624)

Infinite CPU spins in various places when stream ends unexpectedly.
(CVE-2005-3625)

NULL pointer crash in the 'FlateDecode' stream. (CVE-2005-3626)

Overflows of compInfo array in 'DCTDecode' stream. (CVE-2005-3627)

Possible to use index past end of array in 'DCTDecode' stream.
(CVE-2005-3627)

Possible out-of-bounds indexing trouble in 'DCTDecode' stream.
(CVE-2005-3627)

Koffice uses an embedded copy of the xpdf code, with the same vulnerabilities.

The updated packages have been patched to correct these problems.

Solution

Update the affected packages.

Plugin Details

Severity: Critical

ID: 20474

File Name: mandrake_MDKSA-2006-008.nasl

Version: 1.14

Type: local

Published: 1/15/2006

Updated: 1/6/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 6.3

CVSS v2

Risk Factor: Critical

Base Score: 10

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:koffice, p-cpe:/a:mandriva:linux:koffice-karbon, p-cpe:/a:mandriva:linux:koffice-kexi, p-cpe:/a:mandriva:linux:koffice-kformula, p-cpe:/a:mandriva:linux:koffice-kivio, p-cpe:/a:mandriva:linux:koffice-koshell, p-cpe:/a:mandriva:linux:koffice-kpresenter, p-cpe:/a:mandriva:linux:koffice-krita, p-cpe:/a:mandriva:linux:koffice-kspread, p-cpe:/a:mandriva:linux:koffice-kugar, p-cpe:/a:mandriva:linux:koffice-kword, p-cpe:/a:mandriva:linux:koffice-progs, p-cpe:/a:mandriva:linux:lib64koffice2-karbon, p-cpe:/a:mandriva:linux:lib64koffice2-karbon-devel, p-cpe:/a:mandriva:linux:lib64koffice2-kexi, p-cpe:/a:mandriva:linux:lib64koffice2-kexi-devel, p-cpe:/a:mandriva:linux:lib64koffice2-kformula, p-cpe:/a:mandriva:linux:lib64koffice2-kformula-devel, p-cpe:/a:mandriva:linux:lib64koffice2-kivio, p-cpe:/a:mandriva:linux:lib64koffice2-kivio-devel, p-cpe:/a:mandriva:linux:lib64koffice2-koshell, p-cpe:/a:mandriva:linux:lib64koffice2-kpresenter, p-cpe:/a:mandriva:linux:lib64koffice2-krita, p-cpe:/a:mandriva:linux:lib64koffice2-krita-devel, p-cpe:/a:mandriva:linux:lib64koffice2-kspread, p-cpe:/a:mandriva:linux:lib64koffice2-kspread-devel, p-cpe:/a:mandriva:linux:lib64koffice2-kugar, p-cpe:/a:mandriva:linux:lib64koffice2-kugar-devel, p-cpe:/a:mandriva:linux:lib64koffice2-kword, p-cpe:/a:mandriva:linux:lib64koffice2-kword-devel, p-cpe:/a:mandriva:linux:lib64koffice2-progs, p-cpe:/a:mandriva:linux:lib64koffice2-progs-devel, p-cpe:/a:mandriva:linux:libkoffice2-karbon, p-cpe:/a:mandriva:linux:libkoffice2-karbon-devel, p-cpe:/a:mandriva:linux:libkoffice2-kexi, p-cpe:/a:mandriva:linux:libkoffice2-kexi-devel, p-cpe:/a:mandriva:linux:libkoffice2-kformula, p-cpe:/a:mandriva:linux:libkoffice2-kformula-devel, p-cpe:/a:mandriva:linux:libkoffice2-kivio, p-cpe:/a:mandriva:linux:libkoffice2-kivio-devel, p-cpe:/a:mandriva:linux:libkoffice2-koshell, p-cpe:/a:mandriva:linux:libkoffice2-kpresenter, p-cpe:/a:mandriva:linux:libkoffice2-krita, p-cpe:/a:mandriva:linux:libkoffice2-krita-devel, p-cpe:/a:mandriva:linux:libkoffice2-kspread, p-cpe:/a:mandriva:linux:libkoffice2-kspread-devel, p-cpe:/a:mandriva:linux:libkoffice2-kugar, p-cpe:/a:mandriva:linux:libkoffice2-kugar-devel, p-cpe:/a:mandriva:linux:libkoffice2-kword, p-cpe:/a:mandriva:linux:libkoffice2-kword-devel, p-cpe:/a:mandriva:linux:libkoffice2-progs, p-cpe:/a:mandriva:linux:libkoffice2-progs-devel, cpe:/o:mandriva:linux:2006

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 1/6/2006

Reference Information

CVE: CVE-2005-3191, CVE-2005-3192, CVE-2005-3193, CVE-2005-3624, CVE-2005-3625, CVE-2005-3626, CVE-2005-3627, CVE-2005-3628

MDKSA: 2006:008